---@meta

---@class UVehicle_Wheel_C : UVehicleWheelBase
---@field UberGraphFrame FPointerToUberGraphFrame
---@field Constructed boolean
---@field Vehicle AAVS_Vehicle_C
---@field ParentPrim UPrimitiveComponent
---@field SpringConstraint UVehicleConstraint
---@field TurnConstraint UVehicleConstraint
---@field PhysicsMaterial UPhysicalMaterial
---@field OverrideWeight boolean
---@field OverrideWeightKg double
---@field WheelController UStaticMeshComponent
---@field ProjectedMesh UStaticMeshComponent
---@field SpawnRelTransform FTransform
---@field Skid double
---@field DesiredSkid double
---@field SkidAudio UAudioComponent
---@field RotationSpeed double
---@field isBrakeLocked boolean
---@field ActiveSkidParticle UParticleSystemComponent
---@field SkidEffectSpeed double
---@field SkidEffectSpeedBySurface TMap<EPhysicalSurface, double>
---@field SkidSounds boolean
---@field SkidSound USoundBase
---@field OverrideVehicleTorque boolean
---@field SkidParticles boolean
---@field SkidParticle UParticleSystem
---@field SkidParticleHeightOffset double
---@field SurfaceEffects TArray<FSurfaceEffectConfig>
---@field LastSurfaceHit EPhysicalSurface
---@field ActiveSkidSound USoundBase
---@field ActiveSkidParticleTemplate UParticleSystem
---@field WheelTorque double
---@field CollideWhenDetached boolean
---@field BoneConstraint UVehicleConstraint
---@field ScrewHoleLocations TArray<FVector>
---@field SmokeTrail UNiagaraComponent
---@field Health int32
---@field ScrewHoles TArray<ABP_ScrewHole_C>
---@field ScrewHealth TArray<int32>
---@field RollingTireSFX UAudioComponent
---@field LastSuspensionImpactInGameTime double
---@field AttachPoint ABP_Interactable_AttachPoint_Wheel_C
---@field ScrewDamage TArray<int32>
---@field WheelTag FGameplayTag
---@field WaitForScrewsTimer FTimerHandle
---@field ServerLoadScrewTimer FTimerHandle
---@field HaveInitializedFromLoadYet boolean
---@field IsWheelInAir boolean
---@field CurrentAudioSurfaceIndex double
local UVehicle_Wheel_C = {}

---@param PickedUpPlayerInteractions TMap<UInputAction, FText>
function UVehicle_Wheel_C:GetAttachedToPlayerInteractionTexts(PickedUpPlayerInteractions) end
---@param PickedUpPlayerInteractions TMap<UInputAction, FText>
---@param IMC UInputMappingContext
function UVehicle_Wheel_C:GetPickedUpPlayerInteractionTexts(PickedUpPlayerInteractions, IMC) end
---@param InstigatingPlayer ARGFirstPersonCharacter
---@param InstigatingPlayerHeldActor AActor
---@param Hit FHitResult
---@param LookAtPlayerInteractionTexts TMap<UInputAction, FText>
function UVehicle_Wheel_C:GetLookAtPlayerInteractionTexts(InstigatingPlayer, InstigatingPlayerHeldActor, Hit, LookAtPlayerInteractionTexts) end
---@param UseCustomBrush boolean
---@param Brush FSlateBrush
function UVehicle_Wheel_C:GetCustomCrosshair(UseCustomBrush, Brush) end
---@param PickUpObject UObject
---@param Success boolean
function UVehicle_Wheel_C:IsAttachPointBlocking(PickUpObject, Success) end
---@param PlacementTransform FTransform
---@param Success boolean
function UVehicle_Wheel_C:PlaceActor(PlacementTransform, Success) end
---@param PlayerCharacter ABP_FirstPersonCharacter_C
---@param HitResult FHitResult
---@param HoldTime double
---@param NewParam boolean
---@param Success boolean
function UVehicle_Wheel_C:Interact(PlayerCharacter, HitResult, HoldTime, NewParam, Success) end
---@param Player ABP_FirstPersonCharacter_C
---@param BlockInteraction boolean
function UVehicle_Wheel_C:BlockInteraction(Player, BlockInteraction) end
---@param Success boolean
---@param PrimitiveComponent UPrimitiveComponent
function UVehicle_Wheel_C:GetPhysicsMesh(Success, PrimitiveComponent) end
---@param Success boolean
function UVehicle_Wheel_C:SetPickedUpPhysicsState(Success) end
---@param Success boolean
function UVehicle_Wheel_C:SetDroppedPhysicsState(Success) end
---@param Success boolean
---@param Transform FTransform
function UVehicle_Wheel_C:GetCustomHoldTransform(Success, Transform) end
---@param Success boolean
function UVehicle_Wheel_C:SetAttachedPhysicsState(Success) end
---@param Parent AActor
---@param RelativeTransform FTransform
---@param PlayerAttaching ABP_FirstPersonCharacter_C
---@param SocketName FName
---@param Success boolean
function UVehicle_Wheel_C:AttachByPlayer(Parent, RelativeTransform, PlayerAttaching, SocketName, Success) end
---@param Parent AActor
---@param RelativeTransform FTransform
---@param Success boolean
function UVehicle_Wheel_C:ForceAttach(Parent, RelativeTransform, Success) end
---@param destroy boolean
---@param Success boolean
function UVehicle_Wheel_C:ForceDetach(destroy, Success) end
---@param ActorHitting AActor
---@param Hit FHitResult
---@param ImpulseVector FVector
---@param DamageResults FST_Damage_Results
---@param Success boolean
function UVehicle_Wheel_C:Hit(ActorHitting, Hit, ImpulseVector, DamageResults, Success) end
---@param PickUpObject UObject
---@param Success boolean
function UVehicle_Wheel_C:CanPickUpObjectBeAttachedToLookAtObject(PickUpObject, Success) end
---@param Success boolean
---@param AttachType FGameplayTagContainer
function UVehicle_Wheel_C:GetObjectAttachType(Success, AttachType) end
---@param AttachPointState FGameplayTag
---@param Success boolean
function UVehicle_Wheel_C:SetAttachPointState(AttachPointState, Success) end
---@param Success boolean
---@param AttachPointState FGameplayTag
function UVehicle_Wheel_C:GetAttachPointState(Success, AttachPointState) end
---@param Success boolean
---@param CustomAttachComponent USceneComponent
function UVehicle_Wheel_C:GetCustomAttachComponent(Success, CustomAttachComponent) end
---@param AttachParent AActor
---@param Success boolean
---@param CustomAttachTransform FTransform
function UVehicle_Wheel_C:GetCustomAttachTransform(AttachParent, Success, CustomAttachTransform) end
---@param NewTransform FTransform
---@param Success boolean
function UVehicle_Wheel_C:SetNewAttachTransform(NewTransform, Success) end
---@param Success boolean
---@param CharacterPose E_CharacterPose::Type
---@param CharacterPoseAnim UAnimSequenceBase
function UVehicle_Wheel_C:GetCharacterPose(Success, CharacterPose, CharacterPoseAnim) end
---@param Success boolean
function UVehicle_Wheel_C:Explode(Success) end
---@param ThirdPersonDummyClass TSubclassOf<ABP_ThirdPersonDummy_C>
function UVehicle_Wheel_C:GetThirdPersonDummyClass(ThirdPersonDummyClass) end
---@param Mesh UStaticMesh
---@param DynamicMaterial UMaterialInstanceDynamic
function UVehicle_Wheel_C:GetVisuals(Mesh, DynamicMaterial) end
---@param FPPOffset FTransform
---@param TPPOffset FTransform
---@param Success boolean
function UVehicle_Wheel_C:GetAttachOffset(FPPOffset, TPPOffset, Success) end
---@param Success boolean
---@param AcceptedDamageTypes FGameplayTagContainer
function UVehicle_Wheel_C:GetAcceptedDamageTypes(Success, AcceptedDamageTypes) end
---@param RepairTarget AActor
---@param RepairTool ABP_Interactable_Actor_C
---@param Success boolean
function UVehicle_Wheel_C:Repair(RepairTarget, RepairTool, Success) end
---@param PlayerCharacter ABP_FirstPersonCharacter_C
---@param HitResult FHitResult
---@param Success boolean
function UVehicle_Wheel_C:StopInteract(PlayerCharacter, HitResult, Success) end
---@param ImpulseStrength FVector
---@param Success boolean
function UVehicle_Wheel_C:AddImpulse(ImpulseStrength, Success) end
---@param InstigatingPlayer ABP_FirstPersonCharacter_C
---@param Success boolean
function UVehicle_Wheel_C:SecondaryInteract(InstigatingPlayer, Success) end
---@param Success boolean
---@param DisplayName FText
function UVehicle_Wheel_C:GetDisplayName(Success, DisplayName) end
---@param Success boolean
function UVehicle_Wheel_C:ShouldUseHoldTransform(Success) end
---@param IsPickupable boolean
function UVehicle_Wheel_C:IsPickupable(IsPickupable) end
---@param ImpulseStrength FVector
---@param Location FVector
---@param Success boolean
function UVehicle_Wheel_C:AddImpulseAtLocation(ImpulseStrength, Location, Success) end
---@param AllIsValid boolean
function UVehicle_Wheel_C:CheckAllScrewsValid(AllIsValid) end
function UVehicle_Wheel_C:OnRep_ScrewDamage() end
---@param ScrewDamage TArray<int32>
function UVehicle_Wheel_C:TakeScrewDamage(ScrewDamage) end
function UVehicle_Wheel_C:SetupScrews() end
---@param PoppedOff boolean
function UVehicle_Wheel_C:TryPopOffWheel(PoppedOff) end
function UVehicle_Wheel_C:Update_WheelSuspension_Buffer() end
function UVehicle_Wheel_C:Update_WheelSuspension_SFX() end
function UVehicle_Wheel_C:Update_WheelSkid_SFX() end
function UVehicle_Wheel_C:Update_WheelRolling_SFX() end
---@param NewParam boolean
function UVehicle_Wheel_C:HealWheelDamage(NewParam) end
---@param WheelDamage int32
function UVehicle_Wheel_C:TakeWheelDamage(WheelDamage) end
function UVehicle_Wheel_C:Init_VFX_SmokeTrail() end
function UVehicle_Wheel_C:Update_VFX_SmokeTrail() end
---@param NewMode EWheelMode
function UVehicle_Wheel_C:SetWheelMode(NewMode) end
---@param Preview boolean
function UVehicle_Wheel_C:SetSuspensionPreview(Preview) end
---@param EditorPreview boolean
function UVehicle_Wheel_C:GetSuspensionPreview(EditorPreview) end
---@param RollingResistance double
function UVehicle_Wheel_C:GetRollingResistance(RollingResistance) end
---@param WheelRadius double
function UVehicle_Wheel_C:GetWheelRadius(WheelRadius) end
---@param SpringDownforce float
function UVehicle_Wheel_C:SetSpringDownforce(SpringDownforce) end
---@param SpringDamping float
function UVehicle_Wheel_C:SetSpringDamping(SpringDamping) end
---@param SpringStrength float
function UVehicle_Wheel_C:SetSpringStrength(SpringStrength) end
---@param SpringLength float
function UVehicle_Wheel_C:SetSpringLength(SpringLength) end
---@param Spring_Length float
---@param Spring_Strength float
---@param Spring_Damping float
function UVehicle_Wheel_C:SetSuspensionSettings(Spring_Length, Spring_Strength, Spring_Damping) end
---@param SpringLength double
function UVehicle_Wheel_C:GetSpringLength(SpringLength) end
---@param isInvertedTorque boolean
function UVehicle_Wheel_C:GetInvertTorque(isInvertedTorque) end
---@param BrakePressure double
function UVehicle_Wheel_C:GetBrakePressure(BrakePressure) end
---@param IsSteerableWheel boolean
function UVehicle_Wheel_C:GetIsSteerableWheel(IsSteerableWheel) end
---@param IsDrivingWheel boolean
function UVehicle_Wheel_C:GetIsDrivingWheel(IsDrivingWheel) end
---@param SpringLength float
---@param SpringStrength float
---@param SpringDamping float
---@param PhysicsDownforce double
function UVehicle_Wheel_C:GetSuspensionSettings(SpringLength, SpringStrength, SpringDamping, PhysicsDownforce) end
---@param IsHandbrakeWheel boolean
function UVehicle_Wheel_C:GetIsHandbrakeWheel(IsHandbrakeWheel) end
function UVehicle_Wheel_C:BreakAttachment() end
function UVehicle_Wheel_C:UpdateRotationConstraint() end
function UVehicle_Wheel_C:UpdateSpringConstraint() end
function UVehicle_Wheel_C:CreateWheelController() end
function UVehicle_Wheel_C:DestroyPhysConstraints() end
function UVehicle_Wheel_C:CreatePhysConstraints() end
function UVehicle_Wheel_C:ConfigurePhysConstraints() end
function UVehicle_Wheel_C:StopSkidEffects() end
---@param NewSteering double
function UVehicle_Wheel_C:UpdateSteering(NewSteering) end
---@param Collision boolean
function UVehicle_Wheel_C:SetChassisCollisions(Collision) end
function UVehicle_Wheel_C:UpdateWheelMeshProperties() end
---@param WheelTorque double
function UVehicle_Wheel_C:GetWheelTorque(WheelTorque) end
---@param UseProjected boolean
function UVehicle_Wheel_C:SwapVisibleMesh(UseProjected) end
---@param NewLocation FVector
---@param NewRotation FRotator
function UVehicle_Wheel_C:SetWheelPosition(NewLocation, NewRotation) end
---@param ProjectedMesh UStaticMeshComponent
function UVehicle_Wheel_C:SetProjectedMesh(ProjectedMesh) end
---@param ProjectedMesh UPrimitiveComponent
function UVehicle_Wheel_C:GetProjectedMesh(ProjectedMesh) end
function UVehicle_Wheel_C:CleanupForDestroy() end
---@param TurnConstraint UVehicleConstraint
---@param SpringConstraint UVehicleConstraint
function UVehicle_Wheel_C:GetConstraints(TurnConstraint, SpringConstraint) end
---@param LastTouch FHitResult
function UVehicle_Wheel_C:GetLastTouch(LastTouch) end
function UVehicle_Wheel_C:TouchSurfaceChange() end
---@param Surface EPhysicalSurface
---@param SkidSound USoundBase
---@param SkidParticle UParticleSystem
function UVehicle_Wheel_C:GetEffectsForSurface(Surface, SkidSound, SkidParticle) end
function UVehicle_Wheel_C:ClearActiveParticle() end
---@param TargetSpeed double
---@param Torque double
---@param Reverse boolean
function UVehicle_Wheel_C:SetVehicleTorque(TargetSpeed, Torque, Reverse) end
---@param OverrideVehicle boolean
---@param TargetSpeed double
---@param Torque double
---@param Reverse boolean
function UVehicle_Wheel_C:SetWheelTorque(OverrideVehicle, TargetSpeed, Torque, Reverse) end
function UVehicle_Wheel_C:CleanupSkidParticle() end
function UVehicle_Wheel_C:InitSkidParticles() end
function UVehicle_Wheel_C:InitSkidSounds() end
function UVehicle_Wheel_C:UpdateSkidEffects() end
---@param IsDrivingWheel boolean
function UVehicle_Wheel_C:SetIsDrivingWheel(IsDrivingWheel) end
---@param EnableMotor boolean
function UVehicle_Wheel_C:SetDriveMotor(EnableMotor) end
---@param isBrakeLocked boolean
function UVehicle_Wheel_C:GetIsBrakeLocked(isBrakeLocked) end
---@param isBrakeLocked boolean
function UVehicle_Wheel_C:SetIsBrakeLocked(isBrakeLocked) end
---@param IsLocked boolean
function UVehicle_Wheel_C:GetIsLocked(IsLocked) end
function UVehicle_Wheel_C:ResetPosition() end
function UVehicle_Wheel_C:ResetSteering() end
---@param NewMesh UStaticMesh
function UVehicle_Wheel_C:ChangeStaticMesh(NewMesh) end
function UVehicle_Wheel_C:UpdateRotationSpeed() end
---@param ControllerMesh UPrimitiveComponent
function UVehicle_Wheel_C:GetWheelController(ControllerMesh) end
function UVehicle_Wheel_C:UpdateSkid() end
---@param RotationSpeed double
function UVehicle_Wheel_C:GetRotationSpeed(RotationSpeed) end
---@param Message FString
---@param Error_ boolean
function UVehicle_Wheel_C:DebugWarningOrError(Message, Error_) end
function UVehicle_Wheel_C:Detach() end
---@param ResetPosition boolean
---@param Force boolean
function UVehicle_Wheel_C:Attach(ResetPosition, Force) end
---@param Simulate_ boolean
function UVehicle_Wheel_C:SetPhysics(Simulate_) end
---@param Lock boolean
function UVehicle_Wheel_C:LockWheel(Lock) end
function UVehicle_Wheel_C:UpdateWheel() end
---@param WheelMesh UPrimitiveComponent
function UVehicle_Wheel_C:GetWheelMesh(WheelMesh) end
function UVehicle_Wheel_C:CalculateSkidAmount() end
---@param Velocity FVector
---@param WheelForward FRotator
---@param MarkDirection FRotator
function UVehicle_Wheel_C:CalculateSkidDirection(Velocity, WheelForward, MarkDirection) end
function UVehicle_Wheel_C:InitBonePhysics() end
---@param Owner AAVS_Vehicle_C
function UVehicle_Wheel_C:InitializeWheel(Owner) end
function UVehicle_Wheel_C:Construct() end
function UVehicle_Wheel_C:UpdateConstraints() end
---@param Player ABP_FirstPersonCharacter_C
---@param Stop boolean
function UVehicle_Wheel_C:CallBackPrimaryFire(Player, Stop) end
---@param Player ABP_FirstPersonCharacter_C
---@param Stop boolean
function UVehicle_Wheel_C:CallBackSecondaryFire(Player, Stop) end
---@param TagsToAdd FGameplayTagContainer
---@param TagsToRemove FGameplayTagContainer
function UVehicle_Wheel_C:AssignGamePlayTags(TagsToAdd, TagsToRemove) end
---@param Heat int32
function UVehicle_Wheel_C:StartCooking(Heat) end
function UVehicle_Wheel_C:StopCooking() end
---@param EndPlayReason EEndPlayReason::Type
function UVehicle_Wheel_C:ReceiveEndPlay(EndPlayReason) end
---@param DeltaSeconds float
function UVehicle_Wheel_C:ReceiveTick(DeltaSeconds) end
---@param NewPassiveState boolean
function UVehicle_Wheel_C:PassiveStateChanged(NewPassiveState) end
function UVehicle_Wheel_C:ReceiveBeginPlay() end
---@param ScrewHole ABP_ScrewHole_C
---@param PlayerScrewing ABP_FirstPersonCharacter_C
function UVehicle_Wheel_C:ScrewedIn(ScrewHole, PlayerScrewing) end
---@param ScrewHolle ABP_ScrewHole_C
function UVehicle_Wheel_C:ScrewedOut(ScrewHolle) end
function UVehicle_Wheel_C:AddNewWheel() end
function UVehicle_Wheel_C:WaitForScrewsAndInitializeDamage() end
function UVehicle_Wheel_C:CheckScrews() end
function UVehicle_Wheel_C:WaitForScrewsAndInitializeLoadedScrewDamage() end
function UVehicle_Wheel_C:Try() end
---@param EntryPoint int32
function UVehicle_Wheel_C:ExecuteUbergraph_Vehicle_Wheel(EntryPoint) end


